/*
'' ============================================================================================
'' 项目名称：风越项目范例ASPX普通三层结构
'' 项目版本：V1.0
'' 项目描述：风越项目范例，用于建立ASPX普通三层结构
'' 文件名称：BLL_NATION.cs
'' 文件描述：业务逻辑层 NATION
'' 公司名称：中极网盛
'' 开发人员：刘怒
'' 创建日期：2008-12-25 20:23:50
'' 修订日期：2009-03-10 06:08:27
'' 版权信息：Copyright (C) 2008

'' 项目升级时需读取以下生成工具的版权信息
'' 生成工具：风越代码生成器 [FireCode Creator]
'' 当前版本：通用版 V1.8
'' 官方网站：http://www.sino8848.com
'' ============================================================================================
*/

using System;
using System.Data;
using System.Collections.Generic;
using Fyp_3TierCommon.Model;
using Fyp_3TierCommon.DAL;
using FypSystem.Common;

namespace Fyp_3TierCommon.BLL
{
    /// <summary>
    ///  NATION 业务逻辑层
    /// </summary>
    public class BLL_NATION
    {
        private readonly Fyp_3TierCommon.DAL.DAL_NATION dal_NATION = new Fyp_3TierCommon.DAL.DAL_NATION();
        public BLL_NATION()
        {
        }

        #region 记录是否存在
        /// <summary>
        /// 记录是否存在
        /// </summary>
        /// <param name="NATION_ID">NATION_ID</param>
        /// <returns></returns>
        public bool Exists(int? NATION_ID)
        {
            return dal_NATION.Exists(NATION_ID);
        }
        #endregion

        #region 添加数据
        /// <summary>
        /// 添加数据
        /// </summary>
        /// <param name="model">NATION实体对象</param>
        public void Add(Fyp_3TierCommon.Model.Model_NATION model)
        {
            dal_NATION.Add(model);
        }
        #endregion

        #region 更新数据
        /// <summary>
        /// 更新数据
        /// </summary>
        /// <param name="model">NATION实体对象</param>
        public void Update(Fyp_3TierCommon.Model.Model_NATION model)
        {
            dal_NATION.Update(model);
        }
        #endregion

        #region 删除
        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="NATION_ID">NATION_ID</param>
        public void Delete(int? NATION_ID)
        {
            dal_NATION.Delete(NATION_ID);
        }
        #endregion

        #region 获取对象实体
        /// <summary>
        /// 获取对象实体
        /// </summary>
        /// <param name="NATION_ID">NATION_ID</param>
        /// <returns></returns>
        public Model_NATION GetModel(int? NATION_ID)
        {
            return dal_NATION.GetModel(NATION_ID);
        }
        #endregion

        #region 获取数据列表 DataSet
        /// <summary>
        /// 获取数据列表 DataSet
        /// </summary>
        /// <param name="strWhere">指定查询条件的SQL语句，不包含where</param>
        /// <returns></returns>
        public DataSet GetDataSet(string strWhere)
        {
            return dal_NATION.GetDataSet(strWhere);
        }

		/// <summary>
		/// 获取全部数据列表 DataSet
		/// </summary>
		public DataSet GetDataSet()
		{
			return GetDataSet("");
		}
        #endregion

        #region 获取数据列表 DataTable
        /// <summary>
        /// 获取数据列表 DataTable
        /// </summary>
        /// <param name="strWhere">指定查询条件的SQL语句，不包含where</param>
        /// <returns></returns>
        public DataTable GetDataTable(string strWhere)
        {
            return dal_NATION.GetDataTable(strWhere);
        }

        /// <summary>
        /// 获取数据列表 DataTable
        /// </summary>
        /// <param name="strWhere">指定查询条件的SQL语句，不包含where</param>
        /// <param name="strOrder">排序字段，如id desc，不包含order by</param>
        /// <returns></returns>
        public DataTable GetDataTable(string strWhere, string strOrder)
        {
            return dal_NATION.GetDataTable(strWhere, strOrder);
        }

		/// <summary>
		/// 获取全部数据列表 DataTable
		/// </summary>
		public DataTable GetDataTable()
		{
			return GetDataTable("");
		}
        #endregion

        #region 获取数据列表 Model List
        /// <summary>
        /// 获取数据列表 Model List
        /// </summary>
        /// <param name="strWhere">查询条件的SQL语句，不包含where</param>
        /// <returns></returns>
        public List<Fyp_3TierCommon.Model.Model_NATION> GetModelList(string strWhere)
        {
            DataSet ds = dal_NATION.GetDataSet(strWhere);
            List<Fyp_3TierCommon.Model.Model_NATION> modelList = new List<Fyp_3TierCommon.Model.Model_NATION>();
            int iRowsCount = ds.Tables[0].Rows.Count;
            if (iRowsCount > 0)
            {
                Fyp_3TierCommon.Model.Model_NATION model;
                for (int i = 0; i < iRowsCount; i++)
                {
                    model = new Fyp_3TierCommon.Model.Model_NATION();
                    DataRow dr = ds.Tables[0].Rows[i];

                    
                    

                     
                    if (dr["NATION_ID"].ToString().Length > 0)
                    {
                        model.NATION_ID = int.Parse(dr["NATION_ID"].ToString());
                    }
                    

                    
                    
                     
                    model.NATION_NAME = dr["NATION_NAME"].ToString();
                    

                    

                    
                    
                    modelList.Add(model);
                }
            }
            return modelList;
        }
        #endregion
    }
}